# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_AxisPlacement Class Reference

`#include <PGeom2d_AxisPlacement.hxx>`

Inheritance diagram for PGeom2d_AxisPlacement:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom2d_AxisPlacement ()
| Initializes the field(s) with default value(s). .
Standard_EXPORT | PGeom2d_AxisPlacement (const gp_Ax2d &aAxis)
| Initializes the field axis with <aaxis>. .
Standard_EXPORT void | Axis (const gp_Ax2d &aAxis)
| Set the field axis with <aaxis>. .
Standard_EXPORT gp_Ax2d | Axis () const
| Returns the value of the field axis. .
| PGeom2d_AxisPlacement (const Storage_stCONSTclCOM &a)
const gp_Ax2d & | _CSFDB_GetPGeom2d_AxisPlacementaxis () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Ax2d | axis

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_AxisPlacement::PGeom2d_AxisPlacement | ( |  | ) |

Standard_EXPORT PGeom2d_AxisPlacement::PGeom2d_AxisPlacement | ( | const gp_Ax2d & | aAxis | ) |

PGeom2d_AxisPlacement::PGeom2d_AxisPlacement | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Ax2d& PGeom2d_AxisPlacement::_CSFDB_GetPGeom2d_AxisPlacementaxis | ( |  | ) | const`[inline]`

Standard_EXPORT gp_Ax2d PGeom2d_AxisPlacement::Axis | ( |  | ) | const

Standard_EXPORT void PGeom2d_AxisPlacement::Axis | ( | const gp_Ax2d & | aAxis | ) |

Standard_EXPORT const PGeom2d_AxisPlacement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Geometry.

## Field Documentation

gp_Ax2d PGeom2d_AxisPlacement::axis `[private]`

The documentation for this class was generated from the following file:

- PGeom2d_AxisPlacement.hxx